TinX/cms 多文件跨站漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1115533 漏洞类型 跨站脚本
发布时间 2008-06-23 更新时间 2008-09-05
CVE编号 CVE-2008-2975 CNNVD-ID CNNVD-200807-032
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/5917
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200807-032
|漏洞详情
TinX/cms是一款时髦的基于PHP4/MYSQL4的开源CMS,采用了跨平台/跨浏览器的所见即所得编辑器。TinX/cms1.1的admin/objects/obj_image.php中存在跨站脚本攻击漏洞。远程攻击者通过语言参数来注入任意web脚本和HTML。
|漏洞EXP
???????????????????????????????????????????????????????????????????????????????
??                             C r a C k E r                                ??
??          T H E   C R A C K   O F   E T E R N A L   M I G H T             ??
??????????????????????????????????????????????????????????????????????????????

 ?????      From The Ashes and Dust Rises An Unimaginable crack....      ?????
??????????????????????????????????????????????????????????????????????????????
??               [ Local File Include ]            [XSS]                    ??
??????????????????????????????????????????????????????????????????????????????
:   Author   : CraCkEr                : :                                    :
?   Group    : uNiTeD CraCkiNg ForCE  ? ?                                    ?
?   Script   : TinX CMS 1.1           ? ?         Register Globals :         ?
?   Download : SourceForge.net        ? ?                                    ?
?   Method   : GET                    ? ?          [?] ON   [ ] OFF          ?
?   Critical : High [????????]        ? ?                                    ?
?   Impact   : System access          ? ?                                    ?
? ????????????????????????????????????? ???????????????????????????????????? ?
?                              DALnet #crackers                             ??
??????????????????????????????????????????????????????????????????????????????
:                                                                            :
?  Release Notes:                                                            ?
?  ?????????????                                                             ?
?  Typically used for remotely exploitable vulnerabilities that can lead to  ?
?  system compromise.                                                        ?
?                                                                            ?

??????????????????????????????????????????????????????????????????????????????
??                             Exploit URL's                                ??
??????????????????????????????????????????????????????????????????????????????


[LFI]

http://localhost/path/include_me.php?language=[LFI]
http://localhost/path/admin/ajax.php?language=[LFI]
http://localhost/path/admin/inc/config.php?prefix=[LFI]
http://localhost/path/admin/objects/catalog.ajaxhandler.php?language=[LFI]

[XSS]

http://localhost/path/admin/objects/obj_image.php?language=[XSS]



??????????????????????????????????????????????????????????????????????????????
 
Greets:
       The_PitBull, Raz0r, iNs, Sad, CwG GeNiuS

??????????????????????????????????????????????????????????????????????????????
??                              © CraCkEr 2008                              ??
??????????????????????????????????????????????????????????????????????????????

# milw0rm.com [2008-06-23]
|参考资料

来源:XF
名称:tinx-objimage-xss(43306)
链接:http://xforce.iss.net/xforce/xfdb/43306
来源:BID
名称:29907
链接:http://www.securityfocus.com/bid/29907
来源:MILW0RM
名称:5917
链接:http://www.milw0rm.com/exploits/5917